/* This is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version. */

/* This software is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details. */

/* You should have received a copy of the GNU General Public License
  along with this software; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
  Boston, MA 02111-1307, USA. */

/* ACRONYM.H - Define acronym structures & NUMBER_ACRONYMS                 */
/***************************************************************************/
/*Ver*  Date  *                Version notes                     *Projt*INS*/
/***************************************************************************/
/***************************************************************************/
/* . *  /  /  *                                                  *     *   */
/***************************************************************************/
/*1.1*05/10/98*NUMBER_ACRONYMS redefined from 512-1000           *60000*NO */
/***************************************************************************/
/*1.0*02/08/95*Creation date                                     *?????*NO */
/***************************************************************************/
/*This File is part of the following .C files:                             */
/*TRANS.C                                                                  */
/*                                                                         */
/*Any change to this file means that the above programs have to be         */
/*recompiled with a new version number.                                    */
/***************************************************************************/

#define NUMBER_ACRONYMS 1000 /* Increased from 512 (05/10/98 NO) */
struct acro {
    unsigned char *in;  /* Pointers which must be allocated */
    unsigned char *out; /* Pointers which must be allocated */
    /* Added for 3rd design:- */
    unsigned case_insens : 1;
    unsigned ignore_trailing_letters : 1;
};
struct a_initl {
  /* Pointer to start of acronyms initial */
    struct acro *start;
  /* No. of acronyms for each initial letter category */
    unsigned char count;
};/*test200695*/
