/* This is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version. */

/* This software is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details. */

/* You should have received a copy of the GNU General Public License
  along with this software; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
  Boston, MA 02111-1307, USA. */

/* Start of ITBEMBOP.H */
/***************************************************************************/
/*Ver*  Date  *                Version notes                     *Projt*INS*/
/***************************************************************************/
/***************************************************************************/
/* . *  /  /  *                                                  *     *   */
/***************************************************************************/
/*1.4*01/06/92*Moon Translation repurcussions for translation.   *30301*MJH*/
/***************************************************************************/
/*1.3*29/05/92*Standardised function naming & calling convention.*30301*MJH*/
/***************************************************************************/
/*1.2*19/05/92*Minor adjustments for correct file names.         *30301*MJH*/
/***************************************************************************/
/*1.1*18/05/92*Version Notes added.                              *30301*KJM*/
/***************************************************************************/
/*1.0*17/03/92*Creation Date.                                    *30301*MJH*/
/***************************************************************************/
/*This File is part of the following .C files:                             */
/*                                                                         */
/* ITBEMBOP.C ITSMENU.C                                                         */
/*                                                                         */
/*Any change to this file means that the above programs have to be         */
/*recompiled with a new version number.                                    */
/***************************************************************************/

/* ------------------------- DEFINED CONSTANTS ---------------------------- */
/* --------------------- END OF DEFINED CONSTANTS ------------------------- */


/* ------------------------ STRUCTURE TEMPLATES --------------------------- */
/* -------------------- END OF STRUCTURE TEMPLATES ------------------------ */


/* ------------------------------ UNIONS ---------------------------------- */
/* -------------------------- END OF UNIONS ------------------------------- */


/* ----------------------- FUNCTION PROTOTYPES ---------------------------- */
void braille_emb_output(/* Translate Parameter(s) */
	     int Grade,
	     boolean *TranslateInitFlag,
        boolean *MoonInit,
	     char *BRLTranslatedFilename,
	    /* Format Parameter(s) */
	     char *FCTabFilename, char *CWTFilename, char *ReportFilename,
	     size_t PageWidth, size_t PageLength, size_t StartPageNo,
	     int HeaderType,
	     boolean HeaderFlag,
	    /* Output Parameters - at last! */
	    char *AbsSourceFilename,
	    char *LeadingBannerPageFilename,
	    char *TrailingBannerPageFilename,
	    char *StartSeqFilename,
	    char *EndSeqFilename,
	    char *OutputDest,
	    boolean LineNumbersRequired,
	    boolean FontSendRequired,
	    char *FontDataFilename,
	    unsigned int NoOfCopies,
	    struct PageRangeNode *PageRanges,
	    boolean Network,
	    char *BRLFilename,
	    /* System type parameters */
	    boolean SystemPause,
	    boolean ScreenOn);
boolean EmbOutParamConfirm(char *source,
							struct FileInfo Source,
							boolean *Network, int *copies, char *pages,
							boolean *linenos, char *destport, char *destfile,
							char *startban, char *endban, char *startseq,
							char *endseq);
boolean ConfirmEmbOut(char *tempsource, struct FileInfo *Source,
		      boolean *Network, int *copies, char *pages,
		      boolean *linenos, char *destport, char *destfile,
		      char *startban, char *endban, char *startseq,
		      char *endseq);
/* -------------------- END OF FUNCTION PROTOTYPES ------------------------ */


/* ------------------------- GLOBAL DATA ---------------------------------- */
/* ---------------------- END OF GLOBAL DATA ------------------------------ */

