/* This is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version. */

/* This software is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details. */

/* You should have received a copy of the GNU General Public License
  along with this software; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
  Boston, MA 02111-1307, USA. */

/* Start of ITBEMBFM.H */
/***************************************************************************/
/*Ver*  Date  *                Version notes                     *Projt*INS*/
/***************************************************************************/
/***************************************************************************/
/* . *  /  /  *                                                  *     *   */
/***************************************************************************/
/*1.3*08/03/93*Transform option enabled.			 *30301*MW */
/***************************************************************************/
/*1.2*29/05/92*Standardised function naming & calling convention.*30301*MJH*/
/***************************************************************************/
/*1.1*18/05/92*Version Notes added.                              *30301*KJM*/
/***************************************************************************/
/*1.0*16/04/92*Creation Date.                                    *30301*MJH*/
/***************************************************************************/
/*This File is part of the following .C files:                             */
/*                                                                         */
/* ITSMENU.C ITSAUTO.C ITBEMBFM.C                                          */
/*                                                                         */
/*Any change to this file means that the above programs have to be         */
/*recompiled with a new version number.                                    */
/***************************************************************************/

/* ------------------------- DEFINED CONSTANTS ---------------------------- */
/* --------------------- END OF DEFINED CONSTANTS ------------------------- */


/* ------------------------ STRUCTURE TEMPLATES --------------------------- */
/* -------------------- END OF STRUCTURE TEMPLATES ------------------------ */


/* ------------------------------ UNIONS ---------------------------------- */
/* -------------------------- END OF UNIONS ------------------------------- */


/* ----------------------- FUNCTION PROTOTYPES ---------------------------- */
int braille_emb_format(char  *infilename,
					   char  *outfilename,
					   char  *fctabname,
#if !defined(BRAILLE_IT)
					   char  *cwtname,
#endif
					   char  *reportfilename,
					   size_t linelength, size_t pagelength,
					   size_t startpage, int header_ind,
						flag header_ref, flag reportflag,
                        boolean ScreenOn
#if !defined(BRAILLE_IT)
                        ,boolean SysPause
#endif
    	);
boolean ConfirmEmbForm(char *tempsource, char *tempdest,
		       struct FileInfo *Source, struct FileInfo *Dest,
		       size_t *PLength, size_t *PWidth, size_t *PNum,
		       int *HeadType, boolean *HeadRef);
boolean ConfirmEmbTransForm(	char *tempsource,
				char *temptrans,
				char *tempdest,
				struct FileInfo *Source,
				struct FileInfo *Trans,
				struct FileInfo *Dest,
				int *DefGrade,
				size_t *PLength,
				size_t *PWidth,
				size_t *PNum,
				int *HeadType,
				boolean *HeadRef);
boolean EmbTransFormParamConfirm(	char *source,
					char *temptrans,
					char *dest,
					struct FileInfo Source,
					struct FileInfo Trans,
					struct FileInfo Dest,
					int *DefGrade,
					size_t *PLength,
					size_t *PWidth,
					size_t *PNum,
					boolean *HeadRef,
					int *HeadType);
boolean ConfirmVitalEmbForm(char *tempsource, char *tempdest,
                    struct FileInfo *Source, struct FileInfo *Dest
#if !defined(BRAILLE_IT)
                    ,size_t *PLength, size_t *PWidth, size_t *PNum,
                    int *HeadType, boolean *HeadRef
#endif
    	);
/* -------------------- END OF FUNCTION PROTOTYPES ------------------------ */


/* ------------------------- GLOBAL DATA ---------------------------------- */
/* ---------------------- END OF GLOBAL DATA ------------------------------ */
