/* This is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2, or (at your option)
  any later version. */

/* This software is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details. */

/* You should have received a copy of the GNU General Public License
  along with this software; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330, 
  Boston, MA 02111-1307, USA. */

/***************************************************************************/
/*Ver*  Date  *                Version notes                     *Projt*INS*/
/***************************************************************************/
/***************************************************************************/
/* . *  /  /  *                                                  *     *   */
/***************************************************************************/
/*1.3*01/07/92*Colours adjusted for processing screen            *30301*MJH*/
/***************************************************************************/
/*1.2*08/06/92*Modified these notes to reflect ITTRANS           *30301*MJH*/
/***************************************************************************/
/*1.1*19/05/92*Version Notes added.                              *30301*KJM*/
/***************************************************************************/
/*1.0*05/05/92*Creation Date.                                    *30301*NO */
/***************************************************************************/
/*This File is part of the following .C files:                             */
/*                                                                         */
/* ITTRANS.C ITSAUTO.C ITSMENU.C TRANFILE.C                                */
/*                                                                         */
/*Any change to this file means that the above programs have to be         */
/*recompiled with a new version number.                                    */
/***************************************************************************/
/*			  ITTRANS HEADER FILE				 */
/* defined constants for screen */
#define TRANBOXWIDTH 60
#define TRANBOXHEIGHT 10
#define TRANBOXROWPOS 10
#define TRANBOXCOLPOS 10
#define TRANBOXREGCLR 0x3f
#define TRANBOXHICLR 0x4f
#define TRANBOXBACKCLR 0x3f
#define TRANBOXPROMPTCLR 0x3f

/*                        Function Prototypes                             */
/*                        -------------------                             */

    int translatefile        (char *infl_name, char *outfl_name,
                 int mode, boolean ScreenOn
#if !defined(BRAILLE_IT)
                 , boolean SysPause
#endif
                 );
